## visad.bom
Class ScreenLockedRendererJ3D

    java.lang.Object
      visad.DataRenderer
          visad.java3d.RendererJ3D
              visad.java3d.DefaultRendererJ3D
                  visad.bom.ScreenLockedRendererJ3D

All Implemented Interfaces:
  Cloneable

public class ScreenLockedRendererJ3D
extends DefaultRendererJ3D

This renderer locks text to its initial position on the screen. The render only works if you have a domain tuple of the form: (latitude, longitude, text) or a function type of the form: ((latitude, longitude)->(text))

Field Summary

Fields inherited from class visad.java3d.DefaultRendererJ3D
``

Fields inherited from class visad.java3d.RendererJ3D
``

Fields inherited from class visad.DataRenderer
`enabled, pickCrawlToCursor`

Constructor Summary
`ScreenLockedRendererJ3D()` Default constructor.

Method Summary
`void` `addSwitch(DisplayRendererJ3D displayRenderer, javax.media.j3d.BranchGroup branch)`
`static void` `main(String[] args)` Used for testing.

Methods inherited from class visad.java3d.DefaultRendererJ3D
`clearScene, clone, doTransform, getLink, setLinks`

Methods inherited from class visad.java3d.RendererJ3D
`clearBranch, doAction, flush, getBranch, makeShadowFunctionType, makeShadowRealTupleType, makeShadowRealType, makeShadowSetType, makeShadowTextType, makeShadowTupleType, setBranchEarly, toggle`

Methods inherited from class visad.DataRenderer

`addException, addPoint, checkAction, checkClose, checkDirect, clearAVControls, clearExceptions, computeRanges, drag_direct, earthToSpatial, earthToSpatial, findRayManifoldIntersection, get_all_feasible, get_any_changed, get_any_transform_control, getBadScale, getDisplay, getDisplayCoordinateSystem, getDisplayRenderer, getEarthDimension, getEarthUnits, getEnabled, getExceptionVector, getIsDirectManipulation, getLastMouseModifiers, getLatLonIndices, getLatLonRange, getLinks, getPickCrawlToCursor, getRanges, getRealVectorTypes, getWhyNotDirect, isLegalTextureMap, isTransformControl, prepareAction, realCheckDirect, release_direct, removeLink, set_all_feasible, setDisplay, setDisplayRenderer, setEarthSpatialData, setEarthSpatialDisplay, setIsDirectManipulation, setLastMouseModifiers, setLatLonIndices, setLinks, setPickCrawlToCursor, setSpatialValues, spatialToEarth, spatialToEarth, stop_direct, suppressExceptions`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScreenLockedRendererJ3D

    public ScreenLockedRendererJ3D()

  Default constructor.

Method Detail

### addSwitch

    public void addSwitch(DisplayRendererJ3D displayRenderer,
                          javax.media.j3d.BranchGroup branch)

  Overrides:
    `addSwitch` in class `DefaultRendererJ3D`

### main

    public static final void main(String[] args)
                           throws VisADException,
                                  RemoteException

  Used for testing. Creates a display with a red square and labels at each corner of the square. The square rotates, and moves as you would expect, but the text is locked to its original position on the screen.

  Throws:
    `VisADException`
    `RemoteException`